<?php
/**
 * @package SJ Categories Full for Hikashop
 * @version 1.0.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2014 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 *
 */

defined('_JEXEC') or die;
$small_image_config = array(
	'type' => $params->get('imgcfg_type'),
	'width' => $params->get('imgcfg_width'),
	'height' => $params->get('imgcfg_height'),
	'quality' => 90,
	'function' => ($params->get('imgcfg_function') == 'none') ? null : 'resize',
	'function_mode' => ($params->get('imgcfg_function') == 'none') ? null : substr($params->get('imgcfg_function'), 7),
	'transparency' => $params->get('imgcfg_transparency', 1) ? true : false,
	'background' => $params->get('imgcfg_background'));

$class_style_desc = ($params->get('item_style_desc') == 'desc_style_dark') ? ' cf-desc-dark' : ' cf-desc-light';
$nb_items = count($items->child);
$nb_rows = (int)$params->get('nb_rows', 3);
$nb_rows = ($nb_rows <= 0 || $nb_rows > $nb_items) ? $nb_items : $nb_rows;

$nb_pages = $nb_items * 1.0 / $nb_rows;
if (intval($nb_pages) < $nb_pages) {
	$nb_pages = intval($nb_pages) + 1;
} else {
	$nb_pages = intval($nb_pages);
}

$start = (int)$params->get('start', '1');
if ($start <= 0 || $start > count($items->child) || $start > $nb_pages) {
	$start = 0;
} else {
	$start = $start - 1;
}

$class_onepage = ($nb_pages <= 1) ? ' cf-one-page' : '';

ob_start();
?>
<div class="cf-items <?php echo $class_style_desc; ?> ">
	<div class="transparency"></div>
	<div class="cf-items-inner <?php echo $class_onepage; ?> <?php echo $effect ?>"
	     id="cf_items_<?php echo $module->id . '_' . $items->id; ?>"
	     data-id="<?php echo $module->id . '_' . $items->id; ?>"
	     data-interval="<?php echo $interval ?>" data-pause="<?php echo $pause_hover ?>"
	">
	<?php  $m = 0;
	$s = -1;
	foreach ($items->child as $item) {

	$condition = (int)$params->get('display_votes',1) || (int)$params->get('display_add_to_cart',1) || (int)$params->get('display_add_to_wishlist',1);
	if($condition) include JModuleHelper::getLayoutPath($module->module, $layout.'_others');

	$m++;
	$last_class = ($m % $nb_rows == 0 || $m == $nb_items) ? ' cf-last' : '';
	if ($nb_rows > 1){

	if ($m % $nb_rows == 1){
	$s++;?>
	<div class="cf-item-grid  item <?php echo ($s == $start) ? ' active' : ''; ?>">
		<?php
		}
		} else {
		$s++; ?>
		<div class="cf-item-grid  item <?php echo ($s == $start) ? ' active' : ''; ?>">
			<?php
			}
			?>
			<div class="cf-item <?php echo $last_class; ?>">
				<div class="item-inner cf">
					<?php $item_img = HKCategoriesFullHelper::getPHKImage($item, $params, 'imgcfg');
					if ($item_img) {
						?>
						<a class="item-image" href="<?php echo $item->link ?>"
						   title="<?php echo $item->title; ?>" <?php echo HKCategoriesFullHelper::parseTarget($params->get('link_target')); ?> >
							<?php echo HKCategoriesFullHelper::imageTag($item_img, $small_image_config); ?>
							<span class="image-border"></span>
						</a>

					<?php
					}
					if ((int)$params->get('item_title_display', 1)) {
						?>
						<div class="item-title">
							<a href="<?php echo $item->link; ?>"
							   title="<?php echo $item->title ?>" <?php echo HKCategoriesFullHelper::parseTarget($params->get('link_target')); ?> >
								<?php echo HKCategoriesFullHelper::truncate($item->title, (int)$params->get('item_title_max_characs', 25)); ?>
							</a>
						</div>
					<?php } ?>

					<?php if((int)$params->get('display_votes',1)){ ?>
						<div class="item-votes">
							<?php echo $minivotes;?>
						</div>
					<?php } ?>

					<?php if ((int)$params->get('item_desc_display', 1) && HKCategoriesFullHelper::_trimEncode($item->description) != '') { ?>
						<div class="item-desc">
							<?php echo HKCategoriesFullHelper::truncate($item->description, (int)$params->get('item_desc_max_characs', 50)); ?>
						</div>
					<?php } ?>

					<?php if ((int)$params->get('item_prices_display', 1) && !empty($item->_price)) {
						?>
						<div class="item-prices">
									<span class="item-price">
										<?php echo $item->_price; ?>
									</span>
							<?php if ((int)$params->get('item_per_unit_display', 1)) { ?>
								<span class="item-per-unit">
										<?php echo JText::_('PER_UNIT'); ?>
									</span>
							<?php } ?>
						</div>
					<?php } ?>

					<?php if((int)$params->get('display_add_to_cart',1) || (int)$params->get('display_add_to_wishlist',1) ) { ?>
						<div class="item-btn-add">
							<?php  echo $btn_add;  ?>
						</div>
					<?php } ?>

					<?php if ((int)$params->get('item_detail_display', 1)) {
						?>
						<div class="item-readmore">
							<a href="<?php echo $item->link; ?>"
							   title="<?php echo $item->title ?>" <?php echo HKCategoriesFullHelper::parseTarget($params->get('link_target', '_self')); ?> >
								<?php echo JText::_($params->get('item_detail_text', 'Detail')); ?>
							</a>
						</div>
					<?php } ?>
				</div>
			</div>
			<?php
			if ($m % $nb_rows == 0 || $m == $nb_items){
			?>
		</div>
	<?php
	}
	} ?>
	</div>

	<?php if ($nb_pages > 1) { ?>
		<div class="cf-control" id="cf_pages_<?php echo $module->id . '_' . $items->id; ?>">

			<div class="cf-direction">
				<div class="cf-ctr page-prev"
				     href="#cf_items_<?php echo $module->id . '_' . $items->id; ?>"
				     data-jslide="prev">&laquo; </div>
				<div class="cf-ctr page-next"
				     href="#cf_items_<?php echo $module->id . '_' . $items->id; ?>"
				     data-jslide="next">&raquo;</div>
			</div>
			<div class="cf-pages-wrap">
				<ul class="cf-pages cf">
					<?php for ($j = 0; $j < $nb_pages; $j++) { ?>
						<li class="cf-page number-page <?php if ($j == $start) {
							echo ' sel';
						} ?>" href="#cf_items_<?php echo $module->id . '_' . $items->id; ?>"
						    data-jslide="<?php echo $j; ?>"><?php echo($j + 1); ?></li>
					<?php } ?>
				</ul>
			</div>
		</div>
	<?php } ?>

</div>

<?php
$items_markup = ob_get_contents();
ob_end_clean();
?>
